summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2016-05-08 18:39:26 +0200
committerDavide Pesavento <pesa@gentoo.org>2016-05-08 18:39:26 +0200
commit133b5ca6296a6c21ba0176bd81a8310b1ff06ed4 (patch)
tree2152d64a022df08f0d0b277b8ef91bc2f560152a /app-editors/tea/tea-41.1.1.ebuild
parentmedia-video/qx11grab: sort RDEPEND (diff)
downloadgentoo-133b5ca6296a6c21ba0176bd81a8310b1ff06ed4.tar.gz
gentoo-133b5ca6296a6c21ba0176bd81a8310b1ff06ed4.tar.bz2
gentoo-133b5ca6296a6c21ba0176bd81a8310b1ff06ed4.zip
app-editors/tea: version bump
Package-Manager: portage-2.2.28
Diffstat (limited to 'app-editors/tea/tea-41.1.1.ebuild')
-rw-r--r--app-editors/tea/tea-41.1.1.ebuild57
1 files changed, 57 insertions, 0 deletions
diff --git a/app-editors/tea/tea-41.1.1.ebuild b/app-editors/tea/tea-41.1.1.ebuild
new file mode 100644
index 00000000000..b834812e4bc
--- /dev/null
+++ b/app-editors/tea/tea-41.1.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PLOCALES="de fr ru"
+
+inherit eutils l10n qmake-utils
+
+DESCRIPTION="Small, lightweight Qt text editor"
+HOMEPAGE="http://tea.ourproject.org/ http://semiletov.org/tea/"
+SRC_URI="http://tea.ourproject.org/dloads/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~x86 ~x86-fbsd"
+IUSE="aspell hunspell"
+
+RDEPEND="
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ sys-libs/zlib
+ aspell? ( app-text/aspell )
+ hunspell? ( app-text/hunspell )
+"
+DEPEND="${RDEPEND}
+ hunspell? ( virtual/pkgconfig )
+"
+
+DOCS=( AUTHORS ChangeLog NEWS TODO )
+
+src_configure() {
+ eqmake4 src.pro \
+ $(use aspell || echo CONFIG+=noaspell) \
+ $(use hunspell || echo CONFIG+=nohunspell)
+}
+
+src_install() {
+ dobin bin/tea
+
+ newicon icons/tea-icon-v3-01.png ${PN}.png
+ make_desktop_entry ${PN} 'Tea Editor'
+
+ # translations
+ insinto /usr/share/qt4/translations
+ local lang
+ for lang in $(l10n_get_locales); do
+ doins translations/${PN}_${lang}.qm
+ done
+
+ # docs
+ dohtml manuals/en.html
+ if use linguas_ru; then
+ dodoc NEWS-RU
+ dohtml manuals/ru.html
+ fi
+}